# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [1.3.4](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.3.3...v1.3.4) (2023-10-02)


### Features

* update consulterMesuresDetaillees to V3 ([909863e](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/909863e7f1c2e50e23e6381d031464770f987cad))


### Bug Fixes

* handle passerelle down ([4d2806a](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/4d2806a94e944503d45a1f1d73f6f5ede889746a))

### [1.3.3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.3.2...v1.3.3) (2023-08-24)


### Features

* detailed sentry logs ([e1de1d3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/e1de1d35f67bfebf9c5b8ef78a2628aed6393850))


### Bug Fixes

* onDeleteAccount now handle empty account ([53632b1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/53632b1d535ffcc8b625e2e9768ab92d1d53b30f))
* throw VENDOR_DOWN when soap requests fail ([2aa2668](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/2aa26680ca3f5c7f0e84f959cfd4c8a0f5f38945))
* **verifyIdentity:** parsing dots from escalierEtEtageEtAppartement ([4821d72](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/4821d72208aabd21dfbc0d4cadf1c53fcbd8eb14))

### [1.3.2](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.3.1...v1.3.2) (2023-06-29)


### Bug Fixes

* handle pdl starting with 0 ([49bc4f9](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/49bc4f976bd5cd408d82016573e9755ebb817e73))

### [1.3.1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.3.0...v1.3.1) (2023-06-01)


### Bug Fixes

* **eslint:** upgrade packages & no unused vars ([7bcc8f3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/7bcc8f345ec8d3db9ceec4a5f936c321d0aac99f))
* **insee:** city name included in some communes ([03b094c](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/03b094c39271916beda4e52eb6661cccaecc683a))

## [1.3.0](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.2.5...v1.3.0) (2023-04-06)


### Bug Fixes

* **insee:** add missing à and ö ([7e9bbc1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/7e9bbc16c757fb25f3fdfca42c302f8f9458face))
* **insee:** handle parsing partial cities ([79ace65](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/79ace65c8799775f5624442fccad1176afe076ac))
* remove accents in last names ([90c047d](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/90c047d14c880c7d0da110507747a48ae35e22d7))

### [1.2.5](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.2.4...v1.2.5) (2023-02-03)


### Bug Fixes

* change errors for enedis routes ([bb63b8c](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/bb63b8cc9b1475a5d7037fdf9233f585a220e8dd))
* **insee api:** handle apostrophe ([5751f3f](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/5751f3f1333de6160e8acf8a0cb3cdb0e6a040ff))
* **insee:** cleaner regexp ([e38b802](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/e38b80221cef17f7229a29ce16f3fd3356c802d1))

### [1.2.4](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.2.3...v1.2.4) (2023-01-24)


### Bug Fixes

* **deps:** update cozy konnector packages ([90fa91f](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/90fa91f86d8be6af883de19c63f4f65510309bed))
* handle communes with "St" ([2f73f3e](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/2f73f3e7d4b38e5810f84d5e81922ec0117943cd))

### [1.2.3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.2.2...v1.2.3) (2023-01-04)


### Bug Fixes

* factory url ([d092208](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/d0922088f2e9a09997978d1341672176a3d7e118))
* improve tolerance of insee code ([ca75b1d](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/ca75b1d9988c0f01f5ba7d9c2e39bda822550465))

### [1.2.2](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.2.1...v1.2.2) (2022-12-08)

### Features

* **log:** add sentry ([9ec516b](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/9ec516b94db6c4f2c0b4ddcb54ea878c669a40ea))


### Bug Fixes

* convert puissance into energie ([14bca39](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/14bca391ac2bf3a2d9b27a252abfbe8f7ab1a672))
* default runner ([76346da](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/76346dad797f00c2bcadc69c4314448d27cf227c))
* gitlab runner ([2ffb72f](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/2ffb72fd356adac0e937d326bc731c5844f783c0))
* issue-contract-less-than-6-month ([13c1f21](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/13c1f2105a8ad0ce50f3f8f04b9c9933e3d86e3d))
* set pipeline "build" to run on branch main ([0dcd5ef](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/0dcd5efbed8aea44b2bf11863ba184a62e086b4e))

## [1.2.0](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.1.5...v1.2.0) (2022-11-22)


### Features

* change error in "second chance" to LOGIN_FAILED ([6f62d12](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/6f62d1228ee16c38ab57a81560f0053f4811ecb1))

### [1.1.5](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.1.4...v1.1.5) (2022-10-28)


### Bug Fixes

* revert main in package ([47f4ab2](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/47f4ab2c2e90a33f936bd6723cc84cda89dc80ef))

### [1.1.4](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.1.3...v1.1.4) (2022-10-28)


### Bug Fixes

* **account:** account storing ID ([14c54fe](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/14c54fef1d41523d9df5356e374f098a622d5973))
* **account:** saving account data issue ([a214214](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/a214214a91cddfe53db14c65d3de839c54922fed))

### [1.1.3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.1.2...v1.1.3) (2022-10-25)

### Bug Fixes

* update editor and vendor link in manifest.webapp

### [1.1.2](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.1.1...v1.1.2) (2022-10-21)

### [1.1.1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/compare/v1.1.0...v1.1.1) (2022-10-21)

## 1.1.0 (2022-10-21)


### Features

* add consents city ([123cb9d](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/123cb9d218078a3009f1fdeb79ca445fbf561a62))
* add dynamical date ([0e95080](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/0e950806b73dcac3298c2cbf040155dcb34fb00a))
* add error on consent delete ([42179a7](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/42179a75274cd7d9d6f4c20ba8aea8822b59246a))
* add max power ([c259724](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/c259724c8db0543ad7152e09421c1a49dc33d542))
* add SGE algo skeleton ([6f9dbe6](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/6f9dbe60b3ae231401f8e72f28e4f39c289c198d))
* **algo:** implementation of recherchePoint ([c08cae1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/c08cae168ab054bd966562d80b6b8f186970fe47))
* clean template to enedis-sge ([44e8394](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/44e8394d358d78f1e980e83602d11d646aea5c63))
* **core:** add user contract verification/activation and onDelete job for removing consent. Addition of backoffice handling ([2ab65de](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/2ab65defa6b4115618849ffc70745fea8361434a))
* **data:** add insee code retrive  ([c4be2cd](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/c4be2cd573bc615fb556896eaf28d0977667fcd3))
* **data:** first data result ([6eddeb2](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/6eddeb29fb1e73d83b62864ccb58291444701978))
* konnector init ([5429981](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/5429981521d83099e48c774a6ba9541593d9b27a))
* **rechercherpoint:** add two fallback in case of no rechercher point match ([14b985c](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/14b985cf40c618969d34df7dc381a67ac479dc5c))
* reduce fetching data to 1y on manual exec ([a4243c4](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/a4243c4134fd35332a6d19cfe1ab611cb0ee866f))
* refactor + aggregation ([1d96197](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/1d96197c94aefd73e07825d712cd273a16cfb470))
* rename endpoints ([fdcf6f0](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/fdcf6f031045563a6abced8ea02f1d99a31eb80d))
* Save expiration date, return OAUTH_OUTDATED error when consent expired and change konnector slug ([e305791](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/e3057919f190237cf7876327b0df36ea6710060b))
* **TU:** add TU stack ([4910d25](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/4910d251fb49e412f06357ac12f0dfe383bbf236))
* update request file with all missing request ([12e2a6a](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/12e2a6a93e515bdc0d0cf695e3dabd16daef3973))


### Bug Fixes

* change slug ([4deca70](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/4deca70301a48e0303c4626121d6d6f991e950a6))
* cicd ([1edb590](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/1edb59076069370cb387a91db711efe1dc48d1c2))
* cicd ([df5141e](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/df5141eda20945b40de17585b29dd8c2950b7364))
* cicd ([91cd6d3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/91cd6d353e21be06af4bbf958d7fc651c9dec91c))
* **deps:** update cozy konnector packages ([2d817c1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/2d817c15b95d9bb80fc50c717327c63d040c4cee))
* **deps:** update cozy konnector packages ([f535d8a](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/f535d8aee4e87ad52e0729378a510d742a5c1eff))
* error to warn log ([0741d04](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/0741d040cf873b2c8785ae4192ee472295b00b98))
* ide colors ([97adc90](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/97adc905f69bc486f3de6639e4586555d02bed08))
* **insee:** store insee code in account and use it for alternate start ([8e213d1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/8e213d1bed29d042802fa975ebe8ea74af0b452f))
* isFirstStart ([500cb66](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/500cb668cc82fe58474d607757a5fdd7390a9c6a))
* konnector def ([84134ef](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/84134ef7424039431bb2c8b6f58af2c7fb6bf198))
* limit date ([889d928](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/889d9284df58b84105e797f0a4bddb5294c3c1d4))
* lint ([a181d0e](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/a181d0e3922bf2c19e29b737d294703f3f2b371a))
* manifest ([eed6e55](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/eed6e55e601e1219dcd69662e5fc89e3b82a0e15))
* name ([29049af](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/29049afb872d04c9b5dd1d69dd9dee787b5f5a25))
* onDelete account retrieve ([ac32986](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/ac3298605596a7c731b901b2b0dcfeb77769d32b))
* **ondelete:** local testing and variables ([b7155d1](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/b7155d143ce2b7042ee81434f8333b0f389eb409))
* request refactor ([72de836](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/72de8362de27d0380c2b164ae1b5452ba4227dd8))
* route name ([b4bd326](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/b4bd32659b68ef95560faef8b5fa1d859e629ab2))
* sge transmissionRecurente and add safety case ([6fc9764](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/6fc9764afa9e620bee59a40d2fd5051bcca9fdcc))
* slug ([746e087](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/746e087ee544b0b79e7dc810b17e1e63ea77ea29))
* switch to warning log because it was making the app failing ([e69a8e3](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/e69a8e351a1a70d2a35d0fb3d0cd41d73f943c9e))
* throw errors when no contracts are found ([00e8b2a](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/00e8b2a0d5a73daedffeb8363cf9f4419f4ca41a))
* version ([7411751](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/7411751cfd12f9c325effa528cec2d4ad9ab10a6))
* wrong error message login failed ([d03863a](https://forge.grandlyon.com/web-et-numerique/llle_project/enedis-sge-konnector/commit/d03863a4209572de4b2601f889f555d8e61dcf64))
